package com.yunzhupaas.base.service;


import com.baomidou.mybatisplus.extension.plugins.pagination.PageDTO;
import com.yunzhupaas.base.entity.PortalManageEntity;
import com.yunzhupaas.base.model.portalManage.PortalManagePage;
import com.yunzhupaas.base.model.portalManage.PortalManagePageDO;
import com.yunzhupaas.base.model.portalManage.PortalManagePrimary;
import com.yunzhupaas.base.model.portalManage.PortalManageVO;

import java.util.List;

/**
 * <p>
 * 门户管理 服务类
 * </p>
 *
 * @author
 * @since 2023-02-16
 */
public interface PortalManageService extends SuperService<PortalManageEntity> {

    void checkCreUp(PortalManageEntity portalManageEntity) throws Exception;

    PortalManageVO convertVO(PortalManageEntity entity);

    List<PortalManageVO> getList(PortalManagePrimary primary);

    List<PortalManageVO> getListByEnable(PortalManagePrimary primary);

    PageDTO<PortalManagePageDO> getPage(PortalManagePage portalPagination);

    List<PortalManagePageDO> getSelectList(PortalManagePage pmPage);

    List<PortalManagePageDO> selectPortalBySystemIds(List<String> systemIds, List<String> collect);

    void createBatch(List<PortalManagePrimary> primaryLit) throws Exception;

}

